---
search:
  tags:
    - People
    - GET
seo:
  description: >-
    Get a single person by ID with aggregated stats across all identities.
    Reference for the GET /people/{personId} endpoint in the Modem API.
sidebar:
  label: Get person
  badge: GET
title: Get person
type: openapi-operation
---
Get a single person by ID with aggregated stats across all identities

`GET /people/{personId}`

**Responses**

- `200` — OK
- `400` — Invalid request (validation failed).
- `401` — Missing or invalid API key.
- `403` — The API key does not have access to this resource.
- `404` — The requested resource was not found.
- `429` — Rate limit exceeded.
- `500` — Internal server error.

Response example, 200:

```json
{
  "avatarUrl": "http://example.com",
  "avgMessagesPerWeek": 0,
  "company": {
    "domain": "string",
    "employees": [
      {
        "avatarUrl": "string",
        "id": "string",
        "name": "string"
      }
    ],
    "id": "string",
    "logoUrl": "string",
    "name": "string"
  },
  "connections": {
    "github": "string",
    "linkedin": "string",
    "phone": "string",
    "title": "string",
    "twitter": "string",
    "website": "string"
  },
  "conversationCount": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "description": "string",
  "displayName": "string",
  "ecosystemTags": [
    "string"
  ],
  "expertiseTags": [
    "string"
  ],
  "firstSeenAt": "2019-08-24T14:15:22Z",
  "id": "string",
  "identityCount": 0,
  "isVip": true,
  "lastSeenAt": "2019-08-24T14:15:22Z",
  "messageCount": 0,
  "primaryEmail": "user@example.com",
  "sources": [
    "string"
  ],
  "weeklyActivity": [
    0
  ]
}
```
